﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSOBJ_OTH') 
 CREATE TABLE T_QCBD_INSOBJ_OTH (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSRCUNITID BIGINT DEFAULT 0 NOT NULL,
FSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMUNQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBATCHNO BIGINT DEFAULT 0 NOT NULL,
FSBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FSRCBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMSRCQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSRCUNQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FSCSYSTEM NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSOBJ_OTH_L') 
 CREATE TABLE T_QCBD_INSOBJ_OTH_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_OTHO_ENTRY') 
 CREATE TABLE T_QCBD_OTHO_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHANDMETHED NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FQUALIFSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFSRCQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCUSTTEXTVAL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FUPDTIME DATETIME,
FSECONDCK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSOBJ_QCP' AND KSQL_COL_NAME ='FSCSYSTEM') 
 ALTER TABLE T_QCBD_INSOBJ_QCP ADD (FSCSYSTEM NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSOBJ_QCPP' AND KSQL_COL_NAME ='FSCSYSTEM') 
 ALTER TABLE T_QCBD_INSOBJ_QCPP ADD (FSCSYSTEM NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_QCPO_ENTRY' AND KSQL_COL_NAME ='FSECONDCK') 
 ALTER TABLE T_QCBD_QCPO_ENTRY ADD (FSECONDCK CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_QCPPO_ENTRY' AND KSQL_COL_NAME ='FSECONDCK') 
 ALTER TABLE T_QCBD_QCPPO_ENTRY ADD (FSECONDCK CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_table.sql **/
