﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCBD_DATAMIGRAT', 'T_QCBD_DATAMIGRAT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_DATAAT_FNUMBER') CREATE INDEX IDX_QCBD_DATAAT_FNUMBER ON T_QCBD_DATAMIGRAT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_DATAAT_FCREATETIME') CREATE INDEX IDX_QCBD_DATAAT_FCREATETIME ON T_QCBD_DATAMIGRAT ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_DATAMIGRAT_L', 'T_QCBD_DATAMIGRAT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_DATAATL_FID') CREATE INDEX IDX_QCBD_DATAATL_FID ON T_QCBD_DATAMIGRAT_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_DATAATL_FNAME') CREATE INDEX IDX_QCBD_DATAATL_FNAME ON T_QCBD_DATAMIGRAT_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_MIGRATENTRY', 'T_QCBD_MIGRATENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_MIGRRY_FID') CREATE INDEX IDX_QCBD_MIGRRY_FID ON T_QCBD_MIGRATENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_MIGRRY_FSEQ') CREATE INDEX IDX_QCBD_MIGRRY_FSEQ ON T_QCBD_MIGRATENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_TABLEPK_L', 'T_QCBD_TABLEPK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_TABLPKL_FID') CREATE INDEX IDX_QCBD_TABLPKL_FID ON T_QCBD_TABLEPK_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_TABLPKL_FNAME') CREATE INDEX IDX_QCBD_TABLPKL_FNAME ON T_QCBD_TABLEPK_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_TABPK_ENTRY', 'T_QCBD_TABPK_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_TABPPK_FID') CREATE INDEX IDX_QCBD_TABPPK_FID ON T_QCBD_TABPK_ENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_TABPPK_FSEQ') CREATE INDEX IDX_QCBD_TABPPK_FSEQ ON T_QCBD_TABPK_ENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_TABLEPK', 'T_QCBD_TABLEPK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_TABLPK_FNUMBER') CREATE INDEX IDX_QCBD_TABLPK_FNUMBER ON T_QCBD_TABLEPK ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_TABLPK_FCREATETIME') CREATE INDEX IDX_QCBD_TABLPK_FCREATETIME ON T_QCBD_TABLEPK ( FCREATETIME );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_constraint.sql **/
