﻿/**Begin D:\PDM_UPGRADE\PDM1\QCBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPBILL') 
 CREATE TABLE T_QCBD_INSPBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINSPESTARTDATE DATETIME,
FINSPEENDDATE DATETIME,
FINSPEDEPTID BIGINT DEFAULT 0 NOT NULL,
FINSPECTORID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPBILL_L') 
 CREATE TABLE T_QCBD_INSPBILL_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPENTRY') 
 CREATE TABLE T_QCBD_INSPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSAMPSCHEME BIGINT DEFAULT 0 NOT NULL,
FSAMPPERCENTAGE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFORMULA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRE BIGINT DEFAULT 0 NOT NULL,
FINSPECTIONSTD BIGINT DEFAULT 0 NOT NULL,
FEMERGENCY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSUPPLYORG BIGINT DEFAULT 0 NOT NULL,
FSUPPLYDEP BIGINT DEFAULT 0 NOT NULL,
FPROPOSER BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FACSTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPTY BIGINT DEFAULT 0 NOT NULL,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FENTERRESULT CHAR(1) DEFAULT '0' NOT NULL,
FSAMPLINGRESULT NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSAMPLINGSIZEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUERECQTY INT DEFAULT 0 NOT NULL,
FSRCUNITID BIGINT DEFAULT 0 NOT NULL,
FCONVERTUNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONVERTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINSDEPARTMENT BIGINT DEFAULT 0 NOT NULL,
FSUBINSPECTOR BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINSPECTIONLOT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCHKOBJID BIGINT DEFAULT 0 NOT NULL,
FCHKOBJENTRYID BIGINT DEFAULT 0 NOT NULL,
FSAMPINGQUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSAMPINGUNQUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQUALIQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNQLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASESAMPQLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASESAMPUQLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECONDCK CHAR(1) DEFAULT '0' NOT NULL,
FWBBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTITYENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWBBILLENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALCFG BIGINT DEFAULT 0 NOT NULL,
FSCSYSTEM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWSSTAGEID BIGINT DEFAULT 0 NOT NULL,
FWSRULEID BIGINT DEFAULT 0 NOT NULL,
FINSPECTPROID BIGINT DEFAULT 0 NOT NULL,
FSHOWTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FRINSQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPENTRY_L') 
 CREATE TABLE T_QCBD_INSPENTRY_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPSUBRESPROJ') 
 CREATE TABLE T_QCBD_INSPSUBRESPROJ (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINSPECTIONITEM BIGINT DEFAULT 0 NOT NULL,
FINSPECTIONCONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINSPECTMETHOD BIGINT DEFAULT 0 NOT NULL,
FINSPECTFREQ BIGINT DEFAULT 0 NOT NULL,
FINSPECTBASIS BIGINT DEFAULT 0 NOT NULL,
FKEYQUALITY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FINSPECTINSTRUCT BIGINT DEFAULT 0 NOT NULL,
FNORMTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FINSPECUNITID BIGINT DEFAULT 0 NOT NULL,
FSPECVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDOWNVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUQUUID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPARISON BIGINT DEFAULT 0 NOT NULL,
FPROJSAMPID BIGINT DEFAULT 0 NOT NULL,
FPROJSAMPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJACCEPTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJREJECTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJQUALIFIYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJUNQUALIFIYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJCKRESULT NVARCHAR(5) DEFAULT ' ' NOT NULL,
FPROJCKVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXVALUE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMINVALUE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAVEVALUE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTANDEVIA NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINSPECCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPSUBRESPROJ_L') 
 CREATE TABLE T_QCBD_INSPSUBRESPROJ_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINSPECCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPSUBRESRELA') 
 CREATE TABLE T_QCBD_INSPSUBRESRELA (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJUUID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXMAPLEID BIGINT DEFAULT 0 NOT NULL,
FSAMP_SEQ INT DEFAULT 0 NOT NULL,
FVALDETER NVARCHAR(5) DEFAULT ' ' NOT NULL,
FJUDGE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FVALRATSTR NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INSPSUBRESSAMP') 
 CREATE TABLE T_QCBD_INSPSUBRESSAMP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSAMPLENUMID BIGINT DEFAULT 0 NOT NULL,
FSAMPLENUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSAMPLERES NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSAMPCKVAL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


 EXEC p_AlterColumn 'T_QCBD_INSPSUBRESPROJ', 'FTOPVALUE', 'DECIMAL(23,10)', 'NULL', '0011', 'NULL';

 EXEC p_AlterColumn 'T_QCBD_INSPSUBRESPROJ', 'FDOWNVALUE', 'DECIMAL(23,10)', 'NULL', '0011', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_DATAMIGRAT' AND KSQL_COL_NAME ='FISEXEINSPEC') 
 ALTER TABLE T_QCBD_DATAMIGRAT ADD (FISEXEINSPEC CHAR(1) DEFAULT '0' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCBD_INSPSUBRESPROJ' AND KSQL_COL_NAME ='FCHOOSESAMPQTY') 
ALTER TABLE T_QCBD_INSPSUBRESPROJ ADD (FCHOOSESAMPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\QCBD_table.sql **/


