﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_QCBD_SAMPPLANGROUP', 'T_QCBD_SAMPPLANGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SAMPPLANGROUP_FNUMBER') CREATE INDEX IDX_QCBD_SAMPPLANGROUP_FNUMBER ON T_QCBD_SAMPPLANGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_QCBD_SAMPSCHEME', 'T_QCBD_SAMPSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_QCBD_SAMPSCHEME_FNUMBER') CREATE INDEX T_QCBD_SAMPSCHEME_FNUMBER ON T_QCBD_SAMPSCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_QCBD_INSPEC_METHODGRP', 'T_QCBD_INSPEC_METHODGRP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPMETHGRP_FNUMBER') CREATE INDEX IDX_QCBD_ISPMETHGRP_FNUMBER ON T_QCBD_INSPEC_METHODGRP ( FNUMBER );


 EXEC P_ALTERPK 'PK_QCBD_INSPEC_METHODGRP_L', 'T_QCBD_INSPEC_METHODGRP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPMETHGRP_FID') CREATE INDEX IDX_QCBD_ISPMETHGRP_FID ON T_QCBD_INSPEC_METHODGRP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECCRIT_ATT', 'T_QCBD_INSPECCRIT_ATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPCRITATT_FNUMBER') CREATE INDEX IDX_QCBD_ISPCRITATT_FNUMBER ON T_QCBD_INSPECCRIT_ATT ( FENTRYID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECCRIT_ENTRY', 'T_QCBD_INSPECCRIT_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPCRITENT_FNUMBER') CREATE INDEX IDX_QCBD_ISPCRITENT_FNUMBER ON T_QCBD_INSPECCRIT_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECINSTRUGRP', 'T_QCBD_INSPECINSTRUGRP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPECISTGRP_FNUMBER') CREATE INDEX IDX_QCBD_ISPECISTGRP_FNUMBER ON T_QCBD_INSPECINSTRUGRP ( FNUMBER );


 EXEC P_ALTERPK 'PK_QCBD_INSPECINSTRUGRP_L', 'T_QCBD_INSPECINSTRUGRP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPECISTGRP_FID') CREATE INDEX IDX_QCBD_ISPECISTGRP_FID ON T_QCBD_INSPECINSTRUGRP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECITEMS_ENTRY', 'T_QCBD_INSPECITEMS_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPITEMSENT_FNUMBER') CREATE INDEX IDX_QCBD_ISPITEMSENT_FNUMBER ON T_QCBD_INSPECITEMS_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECITEMSGRP_L', 'T_QCBD_INSPECITEMSGRP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPITEMGRP_FID') CREATE INDEX IDX_QCBD_ISPITEMGRP_FID ON T_QCBD_INSPECITEMSGRP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECTION_METHOD', 'T_QCBD_INSPECTION_METHOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPMETHOD_FNUMBER') CREATE INDEX IDX_QCBD_ISPMETHOD_FNUMBER ON T_QCBD_INSPECTION_METHOD ( FNUMBER );


 EXEC P_ALTERPK 'PK_QCBD_INSPECTION_METHOD_L', 'T_QCBD_INSPECTION_METHOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPMETHOD_FID') CREATE INDEX IDX_QCBD_ISPMETHOD_FID ON T_QCBD_INSPECTION_METHOD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECTIONCRIT', 'T_QCBD_INSPECTIONCRIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPCRIT_FNUMBER') CREATE INDEX IDX_QCBD_ISPCRIT_FNUMBER ON T_QCBD_INSPECTIONCRIT ( FNUMBER );


 EXEC P_ALTERPK 'PK_QCBD_INSPECTIONCRIT_L', 'T_QCBD_INSPECTIONCRIT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPCRIT_FID') CREATE INDEX IDX_QCBD_ISPCRIT_FID ON T_QCBD_INSPECTIONCRIT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECTIONCRITGRP', 'T_QCBD_INSPECTIONCRITGRP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPECRITGRP_FNUMBER') CREATE INDEX IDX_QCBD_ISPECRITGRP_FNUMBER ON T_QCBD_INSPECTIONCRITGRP ( FNUMBER );


 EXEC P_ALTERPK 'PK_QCBD_INSPECTIONCRITGRP_L', 'T_QCBD_INSPECTIONCRITGRP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPECRITGRP_FID') CREATE INDEX IDX_QCBD_ISPECRITGRP_FID ON T_QCBD_INSPECTIONCRITGRP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECTIONINSTRU', 'T_QCBD_INSPECTIONINSTRU', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPINSTRU_FNUMBER') CREATE INDEX IDX_QCBD_ISPINSTRU_FNUMBER ON T_QCBD_INSPECTIONINSTRU ( FNUMBER );


 EXEC P_ALTERPK 'PK_QCBD_INSPECTIONINSTRU_L', 'T_QCBD_INSPECTIONINSTRU_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPINSTRU_FID') CREATE INDEX IDX_QCBD_ISPINSTRU_FID ON T_QCBD_INSPECTIONINSTRU_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECTIONITEMS', 'T_QCBD_INSPECTIONITEMS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPITEMS_FNUMBER') CREATE INDEX IDX_QCBD_ISPITEMS_FNUMBER ON T_QCBD_INSPECTIONITEMS ( FNUMBER );


 EXEC P_ALTERPK 'PK_QCBD_INSPECTIONITEMS_L', 'T_QCBD_INSPECTIONITEMS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPITEMS_FID') CREATE INDEX IDX_QCBD_ISPITEMS_FID ON T_QCBD_INSPECTIONITEMS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_QCBD_SAMPPLANGROUP_L', 'T_QCBD_SAMPPLANGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SLGL_FID') CREATE INDEX IDX_QCBD_SLGL_FID ON T_QCBD_SAMPPLANGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_QCBD_SAMPSCHEME_L', 'T_QCBD_SAMPSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_SS_L_FID') CREATE INDEX IDX_QCBD_SS_L_FID ON T_QCBD_SAMPSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_QCBD_INSPECITEMSGRP', 'T_QCBD_INSPECITEMSGRP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISPITEMGRP_FNUMBER') CREATE INDEX IDX_QCBD_ISPITEMGRP_FNUMBER ON T_QCBD_INSPECITEMSGRP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_QCBD_RECINFOENTITY', 'T_QCBD_RECINFOENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_RECINFOENTITY_FID') CREATE INDEX IDX_QCBD_RECINFOENTITY_FID ON T_QCBD_RECINFOENTITY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_constraint.sql **/
