﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCBD_INSOBJ_CAS', 'T_QCBD_INSOBJ_CAS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOCAS_FNUMBER') CREATE INDEX IDX_QCBD_ISOCAS_FNUMBER ON T_QCBD_INSOBJ_CAS ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOCAS_FCREATETIME') CREATE INDEX IDX_QCBD_ISOCAS_FCREATETIME ON T_QCBD_INSOBJ_CAS ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_INSOBJ_CAS_L', 'T_QCBD_INSOBJ_CAS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOCAS_FID') CREATE INDEX IDX_QCBD_ISOCAS_FID ON T_QCBD_INSOBJ_CAS_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_ISOCAS_FNAME') CREATE INDEX IDX_QCBD_ISOCAS_FNAME ON T_QCBD_INSOBJ_CAS_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_QCAS_ENTRY', 'T_QCBD_QCAS_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_QCAS_FID') CREATE INDEX IDX_QCBD_QCAS_FID ON T_QCBD_QCAS_ENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_QCAS_FSEQ') CREATE INDEX IDX_QCBD_QCAS_FSEQ ON T_QCBD_QCAS_ENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_QCTEAM', 'T_QCBD_QCTEAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_QCTEAM_FNUMBER') CREATE INDEX IDX_QCBD_QCTEAM_FNUMBER ON T_QCBD_QCTEAM ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_QCTEAM_FCREATETIME') CREATE INDEX IDX_QCBD_QCTEAM_FCREATETIME ON T_QCBD_QCTEAM ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_QCTEAM_L', 'T_QCBD_QCTEAM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_QCTEAML_FID') CREATE INDEX IDX_QCBD_QCTEAML_FID ON T_QCBD_QCTEAM_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_QCTEAML_FNAME') CREATE INDEX IDX_QCBD_QCTEAML_FNAME ON T_QCBD_QCTEAM_L ( FNAME );


 EXEC P_ALTERPK 'PK_QCBD_QCTEAMUSER', 'T_QCBD_QCTEAMUSER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_QCTEER_FID') CREATE INDEX IDX_QCBD_QCTEER_FID ON T_QCBD_QCTEAMUSER ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_QCTEER_FSEQ') CREATE INDEX IDX_QCBD_QCTEER_FSEQ ON T_QCBD_QCTEAMUSER ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_BADDEAL', 'T_QCBD_BADDEAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_BADDAL_FBILLNO') CREATE INDEX IDX_QCBD_BADDAL_FBILLNO ON T_QCBD_BADDEAL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_BADDAL_FCREATETIME') CREATE INDEX IDX_QCBD_BADDAL_FCREATETIME ON T_QCBD_BADDEAL ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_BADDEALENTRY', 'T_QCBD_BADDEALENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_BADDRY_FID') CREATE INDEX IDX_QCBD_BADDRY_FID ON T_QCBD_BADDEALENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_BADDRY_FSEQ') CREATE INDEX IDX_QCBD_BADDRY_FSEQ ON T_QCBD_BADDEALENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_BADDEAL_L', 'T_QCBD_BADDEAL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_BADDALL_FID') CREATE INDEX IDX_QCBD_BADDALL_FID ON T_QCBD_BADDEAL_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_BADDALL_FCOMMENT') CREATE INDEX IDX_QCBD_BADDALL_FCOMMENT ON T_QCBD_BADDEAL_L ( FCOMMENT );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCBD_constraint.sql **/
