﻿/**Begin D:\PDM_UPGRADE\PDM1\QCBD_constraint.sql **/
EXEC P_ALTERPK 'PK_QCBD_INSPBILL', 'T_QCBD_INSPBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPLL_FBILLNO') CREATE INDEX IDX_QCBD_INSPLL_FBILLNO ON T_QCBD_INSPBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPLL_FCREATETIME') CREATE INDEX IDX_QCBD_INSPLL_FCREATETIME ON T_QCBD_INSPBILL ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCBD_INSPBILL_L', 'T_QCBD_INSPBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPLLL_FID') CREATE INDEX IDX_QCBD_INSPLLL_FID ON T_QCBD_INSPBILL_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPLLL_FCOMMENT') CREATE INDEX IDX_QCBD_INSPLLL_FCOMMENT ON T_QCBD_INSPBILL_L ( FCOMMENT );


 EXEC P_ALTERPK 'PK_QCBD_INSPENTRY', 'T_QCBD_INSPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPRY_FID') CREATE INDEX IDX_QCBD_INSPRY_FID ON T_QCBD_INSPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPRY_FSEQ') CREATE INDEX IDX_QCBD_INSPRY_FSEQ ON T_QCBD_INSPENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_INSPENTRY_L', 'T_QCBD_INSPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPRYL_FENTRYID') CREATE INDEX IDX_QCBD_INSPRYL_FENTRYID ON T_QCBD_INSPENTRY_L ( FENTRYID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPRYL_FSUBCOMMENT') CREATE INDEX IDX_QCBD_INSPRYL_FSUBCOMMENT ON T_QCBD_INSPENTRY_L ( FSUBCOMMENT );


 EXEC P_ALTERPK 'PK_QCBD_INSPSUBRESPROJ', 'T_QCBD_INSPSUBRESPROJ', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPOJ_FENTRYID') CREATE INDEX IDX_QCBD_INSPOJ_FENTRYID ON T_QCBD_INSPSUBRESPROJ ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPOJ_FSEQ') CREATE INDEX IDX_QCBD_INSPOJ_FSEQ ON T_QCBD_INSPSUBRESPROJ ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_INSPSUBRESPROJ_L', 'T_QCBD_INSPSUBRESPROJ_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPOJL_FDETAILID') CREATE INDEX IDX_QCBD_INSPOJL_FDETAILID ON T_QCBD_INSPSUBRESPROJ_L ( FDETAILID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPOJL_COMMENT') CREATE INDEX IDX_QCBD_INSPOJL_COMMENT ON T_QCBD_INSPSUBRESPROJ_L ( FINSPECCOMMENT );


 EXEC P_ALTERPK 'PK_QCBD_INSPSUBRESRELA', 'T_QCBD_INSPSUBRESRELA', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPLA_FENTRYID') CREATE INDEX IDX_QCBD_INSPLA_FENTRYID ON T_QCBD_INSPSUBRESRELA ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPLA_FSEQ') CREATE INDEX IDX_QCBD_INSPLA_FSEQ ON T_QCBD_INSPSUBRESRELA ( FSEQ );


 EXEC P_ALTERPK 'PK_QCBD_INSPSUBRESSAMP', 'T_QCBD_INSPSUBRESSAMP', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPMP_FENTRYID') CREATE INDEX IDX_QCBD_INSPMP_FENTRYID ON T_QCBD_INSPSUBRESSAMP ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCBD_INSPMP_FSEQ') CREATE INDEX IDX_QCBD_INSPMP_FSEQ ON T_QCBD_INSPSUBRESSAMP ( FSEQ );

/**End D:\PDM_UPGRADE\PDM1\QCBD_constraint.sql **/
