--库存检验执行方案分类表结构
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INVPSCMGRP')
 CREATE TABLE T_QCBD_INVPSCMGRP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INVPSCMGRP_L')
 CREATE TABLE T_QCBD_INVPSCMGRP_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

--库存检验执行方案表结构
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INVPSCM')
 CREATE TABLE T_QCBD_INVPSCM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FFIRSTINSPECTDATE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FINSPECTCYSCLE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FINSPECTFREEZEINV CHAR(1) DEFAULT '0' NOT NULL,
FINSPECTLEADTIME INT DEFAULT 0 NOT NULL,
FINSPECTNUMSTYLE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FAUTOEXEC CHAR(1) DEFAULT '0' NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FQUAORGID BIGINT DEFAULT 0 NOT NULL,
FLONGMON INT DEFAULT 0 NOT NULL,
FDATASOURCE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FILTERSTRING NVARCHAR(255) DEFAULT ' ' NOT NULL,
FILTERSTRING_TAG NCLOB,
FSETDATE DATETIME,
FLONGDAY INT DEFAULT 0 NOT NULL
);

--方案多语言
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INVPSCM_L')
 CREATE TABLE T_QCBD_INVPSCM_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

--分单依据分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INVPSCMENTRY')
 CREATE TABLE T_QCBD_INVPSCMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSPLITREASON NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);

--执行日志分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCBD_INVPSCMLOG')
 CREATE TABLE T_QCBD_INVPSCMLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXECTIME DATETIME,
FEXECSTEP NVARCHAR(5) DEFAULT ' ' NOT NULL,
FEXECRES CHAR(1) DEFAULT '0' NOT NULL,
FEXECLOG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXECLOG_TAG NCLOB
);